CovingtonConfig (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.covington
Class CovingtonConfig

    java.lang.Object
      org.maltparser.parser.ParserConfiguration
          org.maltparser.parser.algorithm.covington.CovingtonConfig

    public class CovingtonConfig

extends ParserConfiguration

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.ParserConfiguration
`historyNode`

Constructor Summary
`CovingtonConfig(SymbolTableHandler symbolTableHandler, boolean cr, boolean cs)`

Method Summary
`void` | `clear()` Clears the parser configuration
`boolean` | `equals(Object obj)`
`DependencyStructure` | `getDependencyGraph()` Returns the dependency structure
`DependencyStructure` | `getDependencyStructure()`
`ArrayList<DependencyNode>` | `getInput()`
`int` | `getLeft()`
`DependencyNode` | `getLeftContextNode(int index)`
`DependencyNode` | `getLeftNode(int index)`
`int` | `getLeftstop()`
`DependencyNode` | `getLeftTarget()`
`int` | `getRight()`
`DependencyNode` | `getRightContextNode(int index)`
`DependencyNode` | `getRightNode(int index)`
`int` | `getRightstop()`
`DependencyNode` | `getRightTarget()`
`void` | `initialize(ParserConfiguration parserConfiguration)` Initialize the parser configuration with the same state as the parameter config
`boolean` | `isAllowRoot()`
`boolean` | `isAllowShift()`
`boolean` | `isTerminalState()` Returns true if the parser configuration is in a terminal state, otherwise false.
`void` | `setAllowRoot(boolean allowRoot)`
`void` | `setAllowShift(boolean allowShift)`
`void` | `setDependencyGraph(DependencyStructure source)` Sets the dependency structure
`void` | `setLeft(int left)`
`void` | `setRight(int right)`
`String` | `toString()`

Methods inherited from class org.maltparser.parser.ParserConfiguration
`getHistoryNode, setHistoryNode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CovingtonConfig

    public CovingtonConfig(SymbolTableHandler symbolTableHandler,
                           boolean cr,
                           boolean cs)
                    throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### getDependencyStructure

    public DependencyStructure getDependencyStructure()

### getInput

    public ArrayList<DependencyNode> getInput()

### isTerminalState

    public boolean isTerminalState()

  Description copied from class: `ParserConfiguration`
  Returns true if the parser configuration is in a terminal state, otherwise false.

  Specified by:
    `isTerminalState` in class `ParserConfiguration`
  Returns:
    true if the parser configuration is in a terminal state, otherwise false.

### getRight

    public int getRight()

### setRight

    public void setRight(int right)

### getLeft

    public int getLeft()

### setLeft

    public void setLeft(int left)

### getLeftstop

    public int getLeftstop()

### getRightstop

    public int getRightstop()

### isAllowRoot

    public boolean isAllowRoot()

### setAllowRoot

    public void setAllowRoot(boolean allowRoot)

### isAllowShift

    public boolean isAllowShift()

### setAllowShift

    public void setAllowShift(boolean allowShift)

### getLeftNode

    public DependencyNode getLeftNode(int index)
                               throws MaltChainedException

  Throws:
    `MaltChainedException`

### getRightNode

    public DependencyNode getRightNode(int index)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### getLeftContextNode

    public DependencyNode getLeftContextNode(int index)
                                      throws MaltChainedException

  Throws:
    `MaltChainedException`

### getRightContextNode

    public DependencyNode getRightContextNode(int index)
                                       throws MaltChainedException

  Throws:
    `MaltChainedException`

### getLeftTarget

    public DependencyNode getLeftTarget()

### getRightTarget

    public DependencyNode getRightTarget()

### setDependencyGraph

    public void setDependencyGraph(DependencyStructure source)
                            throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Sets the dependency structure

  Specified by:
    `setDependencyGraph` in class `ParserConfiguration`
  Parameters:
    `source` - a dependency structure
  Throws:
    `MaltChainedException`

### getDependencyGraph

    public DependencyStructure getDependencyGraph()

  Description copied from class: `ParserConfiguration`
  Returns the dependency structure

  Specified by:
    `getDependencyGraph` in class `ParserConfiguration`
  Returns:
    the dependency structure

### initialize

    public void initialize(ParserConfiguration parserConfiguration)
                    throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Initialize the parser configuration with the same state as the parameter config

  Specified by:
    `initialize` in class `ParserConfiguration`
  Parameters:
    `parserConfiguration` - a parser configuration
  Throws:
    `MaltChainedException`

### clear

    public void clear()
               throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Clears the parser configuration

  Specified by:
    `clear` in class `ParserConfiguration`
  Throws:
    `MaltChainedException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.